Bug 3690 - Allow to pass location of GNU make through environment
Allow to pass location of GNU make through environment
Status: RESOLVED WONTFIX
Product: Samba 4.0
Classification: Unclassified
Component: Other
unspecified
Other FreeBSD
: P3 normal
: ---
Assigned To: Jelmer Vernooij
Andrew Bartlett
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-15 23:13 UTC by Timur Bakeyev
Modified: 2006-05-13 12:36 UTC (History)
0 users

See Also:


Attachments
use value of SMAKE if passed (764 bytes, patch)
2006-04-15 23:14 UTC, Timur Bakeyev
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Timur Bakeyev 2006-04-15 23:13:41 UTC
On BSD systems GNU make, if exists at all called gmake. On FreeBSD, when using ports system its possible to pas gmake location with $MAKE environment variable. TO coop with such approach small patch is suggested.
Comment 1 Timur Bakeyev 2006-04-15 23:14:39 UTC
Created attachment 1860 [details]
use value of SMAKE if passed
Comment 2 Timur Bakeyev 2006-04-16 20:05:07 UTC
Ok, this patch doesn't work entirely well, as it requires full path to GNU make and FreeBSD ports supply it like:

MAKE=gmake ./configure

when call configure. Any work around? Maybe, just say:

AC_PATH_PROG(MAKE,  [gmake make])

in addition? Still, attached patch is also useful for the systems where absolute path to the MAKE is given. So, combined version possibly should be applied.
Comment 3 Jelmer Vernooij 2006-04-20 07:55:29 UTC
Taking this bug.
Comment 4 Jelmer Vernooij 2006-05-13 12:36:23 UTC
Sorry, you can already use something like 
MAKE=/usr/bin/gmake ./configure to override the make used
so I don't see the need for the first patch.

I'm reluctant to apply the second patch as that'll break for 
people trying to run "./configure; make" on FreeBSD (because make BSD 
doesn't understand the constructions used)

There is no point in forcing GNU make on FreeBSD for the ports anyway -
automatic dependencies only make sense when you are editing code.